<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFramemeta extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
	    $this->down();

        Schema::create('framemeta', function (Blueprint $table) {
            $table->integer('frame_id')->primary();
	        $table->string('r0');
            $table->string('r1');
	        $table->string('r2');
	        $table->string('r3');
	        $table->string('r4');
	        $table->string('r5');
	        $table->string('r6');
	        $table->string('r7');
	        $table->string('r8');
	        $table->string('r9');

	        $table->foreign('frame_id')->references('id')->on('frames');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('framemeta');
    }
}